package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0181
 * @Description :未填写
 *  * @Author : 损伤、中毒的外部原因未填写
 * @Date: 2020-03-16 11:33
 */
@Component
public class FIRP0181 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null){
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String transferDept = firstpageStructureMap.get(Content.dp_out);
            String transferDept_changxing = firstpageStructureMap.get("损伤中毒因素");
            if ((!CatalogueUtil.isEmpty(transferDept) && !"[]".equals(transferDept))
                    || (!CatalogueUtil.isEmpty(transferDept_changxing) && !"[]".equals(transferDept_changxing))){
                status.set("0");
            }
        }
    }
}